<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Utils/yamlmatlab/WriteYaml.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0a824aa1f70ce3b829ef378253b085da.html">Utils</a></li><li class="navelem"><a class="el" href="dir_a8e1b37497156ef9f662c95c0317de5f.html">yamlmatlab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">WriteYaml.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab1efda69fec3080484b5cc4aaacd35bf"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#ab1efda69fec3080484b5cc4aaacd35bf">WriteYaml</a> (in filename, in data, in flowstyle)</td></tr>
<tr class="separator:ab1efda69fec3080484b5cc4aaacd35bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a379080c2b33d45b8fb06221a44bbdad1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a379080c2b33d45b8fb06221a44bbdad1">scan</a> (in r)</td></tr>
<tr class="separator:a379080c2b33d45b8fb06221a44bbdad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24dc050d8f961773260c9ed0d8807504"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a24dc050d8f961773260c9ed0d8807504">scan_numeric</a> (in r)</td></tr>
<tr class="separator:a24dc050d8f961773260c9ed0d8807504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cdd4d62a04a5aed374e4400779369a6"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a5cdd4d62a04a5aed374e4400779369a6">scan_logical</a> (in r)</td></tr>
<tr class="separator:a5cdd4d62a04a5aed374e4400779369a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f562daddc88f061a834f8e8d31bc83b"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a4f562daddc88f061a834f8e8d31bc83b">scan_char</a> (in r)</td></tr>
<tr class="separator:a4f562daddc88f061a834f8e8d31bc83b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09368a9f08eb8c00cba9863cdf8a9b0"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#af09368a9f08eb8c00cba9863cdf8a9b0">scan_datetime</a> (in r)</td></tr>
<tr class="separator:af09368a9f08eb8c00cba9863cdf8a9b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bfb3baa20bfa4b78df993e44a52ad03"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a5bfb3baa20bfa4b78df993e44a52ad03">scan_cell</a> (in r)</td></tr>
<tr class="separator:a5bfb3baa20bfa4b78df993e44a52ad03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a756a5fe83d8ce929f7bdfca47f1377bc"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a756a5fe83d8ce929f7bdfca47f1377bc">scan_ord</a> (in r)</td></tr>
<tr class="separator:a756a5fe83d8ce929f7bdfca47f1377bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b49602b33bcb993c50359a0267a5204"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a2b49602b33bcb993c50359a0267a5204">scan_cell_row</a> (in r)</td></tr>
<tr class="separator:a2b49602b33bcb993c50359a0267a5204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a429c45c48bc4d84201c76dac3a758ed6"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a429c45c48bc4d84201c76dac3a758ed6">scan_cell_column</a> (in r)</td></tr>
<tr class="separator:a429c45c48bc4d84201c76dac3a758ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb02157f5492636d3e6a198111676ad"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a4eb02157f5492636d3e6a198111676ad">scan_cell_matrix</a> (in r)</td></tr>
<tr class="separator:a4eb02157f5492636d3e6a198111676ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceb171beda16ad6833d5387f7acd0409"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#aceb171beda16ad6833d5387f7acd0409">scan_cell_single</a> (in r)</td></tr>
<tr class="separator:aceb171beda16ad6833d5387f7acd0409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6400a04fb19611ffa121f317db192303"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a6400a04fb19611ffa121f317db192303">scan_ord_row</a> (in r)</td></tr>
<tr class="separator:a6400a04fb19611ffa121f317db192303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad16e7a38adcf9568bca25f0764a4012d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#ad16e7a38adcf9568bca25f0764a4012d">scan_ord_column</a> (in r)</td></tr>
<tr class="separator:ad16e7a38adcf9568bca25f0764a4012d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b66460d7bdd88450dbdceacc0f5f88b"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a3b66460d7bdd88450dbdceacc0f5f88b">scan_ord_matrix</a> (in r)</td></tr>
<tr class="separator:a3b66460d7bdd88450dbdceacc0f5f88b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a123db4a3d3e0e17d48d2ffa54563b082"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a123db4a3d3e0e17d48d2ffa54563b082">scan_ord_single</a> (in r)</td></tr>
<tr class="separator:a123db4a3d3e0e17d48d2ffa54563b082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f4a9ff804c160c8913140d2686116b"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_yaml_8m.html#a78f4a9ff804c160c8913140d2686116b">scan_struct</a> (in r)</td></tr>
<tr class="separator:a78f4a9ff804c160c8913140d2686116b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a379080c2b33d45b8fb06221a44bbdad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a379080c2b33d45b8fb06221a44bbdad1">&#9670;&nbsp;</a></span>scan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5bfb3baa20bfa4b78df993e44a52ad03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bfb3baa20bfa4b78df993e44a52ad03">&#9670;&nbsp;</a></span>scan_cell()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_cell </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a429c45c48bc4d84201c76dac3a758ed6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a429c45c48bc4d84201c76dac3a758ed6">&#9670;&nbsp;</a></span>scan_cell_column()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_cell_column </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4eb02157f5492636d3e6a198111676ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eb02157f5492636d3e6a198111676ad">&#9670;&nbsp;</a></span>scan_cell_matrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_cell_matrix </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b49602b33bcb993c50359a0267a5204"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b49602b33bcb993c50359a0267a5204">&#9670;&nbsp;</a></span>scan_cell_row()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_cell_row </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aceb171beda16ad6833d5387f7acd0409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aceb171beda16ad6833d5387f7acd0409">&#9670;&nbsp;</a></span>scan_cell_single()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_cell_single </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f562daddc88f061a834f8e8d31bc83b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f562daddc88f061a834f8e8d31bc83b">&#9670;&nbsp;</a></span>scan_char()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_char </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af09368a9f08eb8c00cba9863cdf8a9b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af09368a9f08eb8c00cba9863cdf8a9b0">&#9670;&nbsp;</a></span>scan_datetime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_datetime </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cdd4d62a04a5aed374e4400779369a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cdd4d62a04a5aed374e4400779369a6">&#9670;&nbsp;</a></span>scan_logical()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_logical </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a24dc050d8f961773260c9ed0d8807504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24dc050d8f961773260c9ed0d8807504">&#9670;&nbsp;</a></span>scan_numeric()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_numeric </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a756a5fe83d8ce929f7bdfca47f1377bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a756a5fe83d8ce929f7bdfca47f1377bc">&#9670;&nbsp;</a></span>scan_ord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_ord </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad16e7a38adcf9568bca25f0764a4012d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad16e7a38adcf9568bca25f0764a4012d">&#9670;&nbsp;</a></span>scan_ord_column()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_ord_column </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b66460d7bdd88450dbdceacc0f5f88b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b66460d7bdd88450dbdceacc0f5f88b">&#9670;&nbsp;</a></span>scan_ord_matrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_ord_matrix </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6400a04fb19611ffa121f317db192303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6400a04fb19611ffa121f317db192303">&#9670;&nbsp;</a></span>scan_ord_row()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_ord_row </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a123db4a3d3e0e17d48d2ffa54563b082"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a123db4a3d3e0e17d48d2ffa54563b082">&#9670;&nbsp;</a></span>scan_ord_single()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_ord_single </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78f4a9ff804c160c8913140d2686116b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78f4a9ff804c160c8913140d2686116b">&#9670;&nbsp;</a></span>scan_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function scan_struct </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1efda69fec3080484b5cc4aaacd35bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1efda69fec3080484b5cc4aaacd35bf">&#9670;&nbsp;</a></span>WriteYaml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function WriteYaml </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>flowstyle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
